petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDACreateSection

Create a PetscSection inside the DMDA that describes data layout. This allows multiple fields with different numbers of dofs on vertices, cells, and faces in each direction.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDACreateSection(DM dm, const PetscInt numComp[], const PetscInt numDof[], const PetscInt numFaceDof[], PetscSection *s)

### Input Parameters

| dm | - The DMDA
| numFields | - The number of fields
| numComp | - The number of components in each field
| numDof | - The number of dofs per dimension for each field
| numFaceDof | - The number of dofs per face for each field and direction, or NULL

### Note

### The default DMDA numbering is as follows

- Cells: [0, nC) - Vertices: [nC, nC+nV) - X-Faces: [nC+nV, nC+nV+nXF) normal is +- x-dir - Y-Faces: [nC+nV+nXF, nC+nV+nXF+nYF) normal is +- y-dir - Z-Faces: [nC+nV+nXF+nYF, nC+nV+nXF+nYF+nZF) normal is +- z-dir

We interpret the default DMDA partition as a cell partition, and the data assignment as a cell assignment.

### Level

developer

### Location

src/dm/impls/da/dalocal.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages